# Installation
> `npm install --save @types/webassembly-web-api`

# Summary
This package contains type definitions for webassembly-web-api (https://webassembly.org/).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/webassembly-web-api.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/webassembly-web-api/index.d.ts)
````ts
/**
 *  The WebAssembly Web API defines extensions to the JavaScript API made
 *  available specifically in web browsers. See [WebAssembly Web
 *  API](https://www.w3.org/TR/wasm-web-api-1/) for more information.
 */
declare namespace WebAssembly {
    /// Other WebAssembly declarations, for compatibility with older versions of Typescript
    // tslint:disable-next-line no-empty-interface
    interface Module {}
    // tslint:disable-next-line no-empty-interface
    interface Instance {}
    interface ResultObject {
        module: Module;
        instance: Instance;
    }

    function compileStreaming(source: Response | Promise<Response>): Promise<Module>;
    function instantiateStreaming(source: Response | Promise<Response>, importObject?: object): Promise<ResultObject>;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [Johannes Henninger](https://github.com/jhenninger).
